Share via


Express Route Ports - Get

Retrieves the requested ExpressRoutePort resource.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/ExpressRoutePorts/{expressRoutePortName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
expressRoutePortName
path True

string

The name of ExpressRoutePort.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ExpressRoutePort

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ExpressRoutePortGet

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/ExpressRoutePorts/portName?api-version=2025-05-01

Sample response

{
  "name": "portName",
  "type": "Microsoft.Network/expressRoutePorts",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/expressRoutePorts/portName",
  "location": "westus",
  "properties": {
    "allocationDate": "Friday, July 1, 2018",
    "bandwidthInGbps": 100,
    "billingType": "UnlimitedData",
    "circuits": [],
    "encapsulation": "QinQ",
    "etherType": "0x8100",
    "links": [
      {
        "name": "link1",
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/expressRoutePorts/portName/links/link1",
        "properties": {
          "adminState": "Disabled",
          "coloLocation": "coloLocation1",
          "connectorType": "LC",
          "interfaceName": "Ethernet 0/0",
          "patchPanelId": "patchPanelId1",
          "provisioningState": "Succeeded",
          "rackId": "rackId1",
          "routerName": "router1"
        }
      },
      {
        "name": "link2",
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/expressRoutePorts/portName/links/link2",
        "properties": {
          "adminState": "Disabled",
          "coloLocation": "coloLocation2",
          "connectorType": "LC",
          "interfaceName": "Ethernet 0/0",
          "patchPanelId": "patchPanelId2",
          "provisioningState": "Succeeded",
          "rackId": "rackId2",
          "routerName": "router2"
        }
      }
    ],
    "mtu": "1500",
    "peeringLocation": "peeringLocationName",
    "provisionedBandwidthInGbps": 0,
    "provisioningState": "Succeeded"
  }
}

Definitions

Name Description
CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

ExpressRouteLink

ExpressRouteLink

ExpressRouteLinkAdminState

Administrative state of the physical port.

ExpressRouteLinkConnectorType

Physical fiber port type.

ExpressRouteLinkMacSecCipher

Mac security cipher.

ExpressRouteLinkMacSecConfig

Definition of ExpressRouteLink Mac Security configuration.

ExpressRouteLinkMacSecSciState

Sci mode enabled/disabled.

ExpressRoutePort

ExpressRoute Port

ExpressRoutePortsBillingType

The billing type of the ExpressRoutePort resource.

ExpressRoutePortsEncapsulation

Encapsulation method on physical ports.

ManagedServiceIdentity

Identity for the resource.

ManagedServiceIdentityUserAssignedIdentities
ProvisioningState

Provisioning states of a resource.

ResourceIdentityType

The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine.

SubResource

Reference to another subresource.

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

ExpressRouteLink

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

name

string

Name of child port resource that is unique among child port resources of the parent.

properties.adminState

ExpressRouteLinkAdminState

Administrative state of the physical port.

properties.coloLocation

string

Cololocation for ExpressRoute Hybrid Direct.

properties.connectorType

ExpressRouteLinkConnectorType

Physical fiber port type.

properties.interfaceName

string

Name of Azure router interface.

properties.macSecConfig

ExpressRouteLinkMacSecConfig

Definition of ExpressRouteLink Mac Security configuration.
MacSec configuration.

properties.patchPanelId

string

Mapping between physical port to patch panel port.

properties.provisioningState

ProvisioningState

The provisioning state of the express route link resource.

properties.rackId

string

Mapping of physical patch panel to rack.

properties.routerName

string

Name of Azure router associated with physical port.

ExpressRouteLinkAdminState

Administrative state of the physical port.

Value Description
Enabled

Enabled

Disabled

Disabled

ExpressRouteLinkConnectorType

Physical fiber port type.

Value Description
LC

LC

SC

SC

ExpressRouteLinkMacSecCipher

Mac security cipher.

Value Description
GcmAes256

GcmAes256

GcmAes128

GcmAes128

GcmAesXpn128

GcmAesXpn128

GcmAesXpn256

GcmAesXpn256

ExpressRouteLinkMacSecConfig

Definition of ExpressRouteLink Mac Security configuration.

Name Type Description
cakSecretIdentifier

string

Keyvault Secret Identifier URL containing Mac security CAK key.

cipher

ExpressRouteLinkMacSecCipher

Mac security cipher.

cknSecretIdentifier

string

Keyvault Secret Identifier URL containing Mac security CKN key.

sciState

ExpressRouteLinkMacSecSciState

Sci mode enabled/disabled.

ExpressRouteLinkMacSecSciState

Sci mode enabled/disabled.

Value Description
Disabled

Disabled

Enabled

Enabled

ExpressRoutePort

ExpressRoute Port

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

identity

ManagedServiceIdentity

The identity of ExpressRoutePort, if configured.

location

string

Resource location.

name

string

Resource name.

properties.allocationDate

string

Date of the physical port allocation to be used in Letter of Authorization.

properties.bandwidthInGbps

integer (int32)

Bandwidth of procured ports in Gbps.

properties.billingType

ExpressRoutePortsBillingType

The billing type of the ExpressRoutePort resource.

properties.circuits

SubResource[]

Reference the ExpressRoute circuit(s) that are provisioned on this ExpressRoutePort resource.

properties.encapsulation

ExpressRoutePortsEncapsulation

Encapsulation method on physical ports.

properties.etherType

string

Ether type of the physical port.

properties.links

ExpressRouteLink[]

ExpressRouteLink Sub-Resources
The set of physical links of the ExpressRoutePort resource.

properties.mtu

string

Maximum transmission unit of the physical port pair(s).

properties.peeringLocation

string

The name of the peering location that the ExpressRoutePort is mapped to physically.

properties.provisionedBandwidthInGbps

number (float)

Aggregate Gbps of associated circuit bandwidths.

properties.provisioningState

ProvisioningState

The provisioning state of the express route port resource.

properties.resourceGuid

string

The resource GUID property of the express route port resource.

tags

object

Resource tags.

type

string

Resource type.

ExpressRoutePortsBillingType

The billing type of the ExpressRoutePort resource.

Value Description
MeteredData

MeteredData

UnlimitedData

UnlimitedData

ExpressRoutePortsEncapsulation

Encapsulation method on physical ports.

Value Description
Dot1Q

Dot1Q

QinQ

QinQ

ManagedServiceIdentity

Identity for the resource.

Name Type Description
principalId

string

The principal id of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string

The tenant id of the system assigned identity. This property will only be provided for a system assigned identity.

type

ResourceIdentityType

The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine.

userAssignedIdentities

<string,  ManagedServiceIdentityUserAssignedIdentities>

The list of user identities associated with resource. The user identity dictionary key references will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}'.

ManagedServiceIdentityUserAssignedIdentities

Name Type Description
clientId

string

The client id of user assigned identity.

principalId

string

The principal id of user assigned identity.

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting

ResourceIdentityType

The type of identity used for the resource. The type 'SystemAssigned, UserAssigned' includes both an implicitly created identity and a set of user assigned identities. The type 'None' will remove any identities from the virtual machine.

Value Description
SystemAssigned

SystemAssigned

UserAssigned

UserAssigned

SystemAssigned, UserAssigned

SystemAssigned, UserAssigned

None

None

SubResource

Reference to another subresource.

Name Type Description
id

string

Resource ID.